blob: beb0891e62682b6f4d2281bff5314a9fbd8fa106 [file] [log] [blame]
Zack Williams7468c362018-04-06 09:52:30 -07001#!/usr/bin/env bash
2
3# Copyright 2017-present Open Networking Foundation
4#
5# Licensed under the Apache License, Version 2.0 (the "License");
6# you may not use this file except in compliance with the License.
7# You may obtain a copy of the License at
8#
9# http://www.apache.org/licenses/LICENSE-2.0
10#
11# Unless required by applicable law or agreed to in writing, software
12# distributed under the License is distributed on an "AS IS" BASIS,
13# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
14# See the License for the specific language governing permissions and
15# limitations under the License.
16
17set +e -u -o pipefail
18fail_ansible=0
19
20# verify that we have ansible-lint installed
21command -v ansible-lint >/dev/null 2>&1 || { echo "ansible-lint not found, please install it" >&2; exit 1; }
22
23# when not running under Jenkins, use current dir as workspace
24WORKSPACE=${WORKSPACE:-.}
25
26echo "=> Linting Ansible Code with $(ansible-lint --version)"
27for f in $(find "${WORKSPACE}" -type f -name "*.yml" -o -name "*.yaml"); do
28 echo "==> CHECKING: ${f}"
29 ansible-lint -p "${f}"
30 rc=$?
31 if [[ $rc != 0 ]]; then
32 echo "==> LINTING FAIL: ${f}"
33 fail_ansible=1
34 fi
35done
36
37exit ${fail_ansible}